> For the complete documentation index, see [llms.txt](https://docs.adnuntius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adnuntius.com/adnuntius-data/api-documentation/fields.md).

# Profile Fields

Adnuntius Data holds a *Visitor Profile* record for each of your users. Each profile provides many fields to store data against.

## Fields

A *partial* list of the available fields is provided in the table below. See the [Data Types](#data-types) section for further details about the field data types.

| Field Name    | Data Type | Description   | Example                                   |
| ------------- | --------- | ------------- | ----------------------------------------- |
| `firstName`   | `Text`    | First Name    | `"John"`                                  |
| `lastName`    | `Text`    | Last Name     | `"Nguyen"`                                |
| `title`       | `Text`    | Title         | `"Mr"`, `"Mrs"`, `"Dr"`, `"Captain"`, etc |
| `dateOfBirth` | `Date`    | Date of Birth | `"1990-05-01"`                            |

You can view the **full** list of available fields within the Adnuntius Data admin UI. This list is also available via the Adnuntius API.

## Data Types

The different fields may be one of the following data types:

| Data Type   | Description                                                                                                                       | Example                           |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------- | --------------------------------- |
| `Text`      | Text surrounded by double quote (`"`) characters                                                                                  | `"This is an example text value"` |
| `Integer`   | A whole number than can range from a minimum value of -9,223,372,036,854,775,808 and a maximum value of 9,223,372,036,854,775,807 | 9999                              |
| `Date`      | A date in YYYY-MM-DD format. Must be surrounded by double quote (`"`) characters.                                                 | "2019-12-31"                      |
| `Timestamp` | A timestamp in YYYY-MM-DD HH:MM:SSZ format. Must be surrounded by double quote (`"`) characters                                   | "2019-10-20 01:59:59Z"            |

## Field Mappings

You can create custom field mappings to provide alternative names for fields.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-data/api-documentation/fields.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
